(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('angular'), require('jquery')) :
  typeof define === 'function' && define.amd ? define(['angular', 'jquery'], factory) :
  (global = global || self, global['ng-ovh-jquery-ui-droppable'] = factory(global.angular, global.$));
}(this, function (angular, $) { 'use strict';

  function __$styleInject(css) {
      if (!css) return;

      if (typeof window == 'undefined') return;
      var style = document.createElement('style');
      style.setAttribute('media', 'screen');

      style.innerHTML = css;
      document.head.appendChild(style);
      return css;
  }

  function ___$insertStyle(css) {
    if (!css) {
      return;
    }
    if (typeof window === 'undefined') {
      return;
    }

    var style = document.createElement('style');

    style.setAttribute('type', 'text/css');
    style.innerHTML = css;
    document.head.appendChild(style);
    return css;
  }

  angular = angular && angular.hasOwnProperty('default') ? angular['default'] : angular;
  $ = $ && $.hasOwnProperty('default') ? $['default'] : $;

  /* @ngInject */
  function directive () {
    return {
      restrict: 'A',
      scope: false,
      link: function link(scope, el, attrs) {
        var obj = {
          droppableInfo: null,
          droppableId: null
        };
        var opts = angular.isDefined(attrs.droppableOptions) ? scope.$eval(attrs.droppableOptions) : {};
        var evts = {};
        var options = null;

        function emitEvent(name, ui) {
          scope.$apply(function () {
            scope.$emit(name, {
              dragged: ui,
              draggedId: ui.draggable.context.attributes['data-draggable-id'] ? ui.draggable.context.attributes['data-draggable-id'].value : null,
              droppable: obj
            });
          });
        }

        attrs.$observe('droppableInfo', function (droppableInfo) {
          if (droppableInfo) {
            obj.droppableInfo = scope.$eval(attrs.droppableInfo);
          }
        });
        attrs.$observe('droppableId', function (droppableId) {
          obj.droppableId = droppableId;
        });
        attrs.$observe('droppableDisabled', function (disabled) {
          if ($(el).droppable) {
            $(el).droppable({
              disabled: disabled === 'true'
            });
          }
        });
        evts = {
          out: function out(event, ui) {
            emitEvent('droppable.out', ui);
          },
          over: function over(event, ui) {
            emitEvent('droppable.over', ui);
          },
          drop: function drop(event, ui) {
            emitEvent('droppable.drop', ui);
          }
        };
        options = $.extend({}, opts, evts);
        $(el).droppable(options);
      }
    };
  }

  var moduleName = 'ngOvhJqueryUiDroppable';
  angular.module(moduleName, []).directive('droppable', directive);

  return moduleName;

}));
//# sourceMappingURL=ng-ovh-jquery-ui-droppable.js.map
